import { OnInit } from '@angular/core';
import { SmzDynamicDialogConfig } from '../../models/smz-dialogs';
import { DynamicDialogRef } from '../../dynamicdialog/dynamicdialog-ref';
import { SmzUiGuidesService } from '../../../../standalones/smz-ui-guides/services/smz-ui-guides.service';
import * as i0 from "@angular/core";
export declare class GuideFooterComponent implements OnInit {
    refService: DynamicDialogRef;
    dialogConfig: SmzDynamicDialogConfig;
    guidesServices: SmzUiGuidesService;
    constructor(refService: DynamicDialogRef, dialogConfig: SmzDynamicDialogConfig, guidesServices: SmzUiGuidesService);
    ngOnInit(): void;
    previous(): void;
    next(): void;
    conclude(): void;
    closeCurrentDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GuideFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GuideFooterComponent, "smz-guide-footer", never, {}, {}, never, never, false, never>;
}
